Subject: Re: bug#75840: 31.0.50; epg

From: Filipp Gunbin <[email-masked]>
Date: Mon, 27 Jan 2025 21:05:18 +0300

On 27/01/2025 17:52 +0200, Eli Zaretskii wrote:

>> From: Filipp Gunbin <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Mon, 27 Jan 2025 18:26:36 +0300
>> 
>> On 26/01/2025 14:22 +0200, Eli Zaretskii wrote:
>> 
>> > Please tell which command you invoked.  If you happen to know which
>> > function checks the trustdb and hung, that would be even more helpful.
>> > I almost never use epg and am not familiar with its code, and I don't
>> > think we have epg experts on board to ask them to look into this.  So
>> > I need every possible help from you to find the place where such a
>> > message would be useful.
>> 
>> GnuPG version is also needed, maybe it's this problem documented in
>> /etc/PROBLEMS:
>> 
>> --8<---------------cut here---------------start------------->8---
>> *** Saving a file encrypted with GnuPG via EasyPG hangs.
>> 
>> This is known to happen with GnuPG v2.4.1.  The only known workaround
>> is to downgrade to a version of GnuPG older than 2.4.1, or upgrade to
>> version 2.4.4 and newer, which reportedly solves the problem.  Note
>> that GnuPG v2.2.42 and later also has this problem, so you should also
>> avoid those later 2.2.4x versions; v2.2.41 is reported to work fine.
>> --8<---------------cut here---------------end--------------->8---
>
> I thought about that, but concluded that this couldn't be Richard's
> problem, because once he got gpg to get past this stage, it started
> working as expected from Emacs.

Yes, I now see the sentence "Since then gpg does not hang any more."
But anyway it'd be good to exclude that possible case...